Name:           msg722
Version:        0.0.1
Release:        1%{?dist}
Summary:        A mediastreamer2 plugin adding support for G722 codec

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.linphone.org/eng/documentation/dev/mediastreamer2.html
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  libtool autoconf
BuildRequires:  mediastreamer-devel
BuildRequires:  spandsp-devel

%description
This a mediastreamer2 plugin adding support for G722 codec.
It is based on the spandsp implementation.

%prep
%setup -q


%build
autoreconf --verbose --force --install

%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/mediastreamer/plugins/libmsg722.so*


%changelog
* Tue Mar  8 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-1
- Initial RPM release
